import React from 'react';
import { Menu, Icon } from 'antd';
import './leftTab.less';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;


const LeftTab = React.createClass({
    getInitialState() {
        return {
            current: 'tongchang',
        };
    },
    handleClick(e) {
        this.props.handlekey(e.key);
        this.setState({
            current: e.key,
        });
    },
    render() {
        return (
            <Menu onClick={this.handleClick}
                selectedKeys={[this.state.current]}
                mode="vertical"
                className="account-left"
                >
                <Menu.Item key="tongchang">
                    常用功能
                </Menu.Item>
                <Menu.Item key="in">
                    供应发布
                </Menu.Item>
                <Menu.Item key="want">
                    需求发布
                </Menu.Item>
                <Menu.Item key="my">
                    我的收藏
                </Menu.Item>
            </Menu>
        );
    },
});

export default LeftTab;